package geo.profile.view;

import geo.profile.Perfil;
import geo.profile.R;
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;

public class ConexionesInalambricasActivity extends Activity {
	
	Integer idPerfil;
	Perfil perfil;
	
	CheckBox chkWifi;
	CheckBox chkRedMovil;
	CheckBox chkBluetooth;
	Button btnGuardarConexionesInalambricas;
	
	String [] conexiones;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.conexionesinalambricas);
        
        //Obtenemos el id (extra en el intent)
        Bundle bun = this.getIntent().getExtras();
        idPerfil = bun.getInt("id");
        
        //Obtenemos los datos de Conexiones Inalmbricas de la BD
        perfil = new Perfil();
    	perfil.loadPerfil(ConexionesInalambricasActivity.this,idPerfil);
    	conexiones = perfil.buscarConexionesInalambricas(this);
        
    	//Checkbox Wifi
	
    	chkWifi = (CheckBox)findViewById(R.id.ChkWifi);
	
    	//Checkbox Red movil
    	
    	chkRedMovil = (CheckBox)findViewById(R.id.ChkRedMovil);
	
    	//Checkbox bluetooth
	
		chkBluetooth = (CheckBox)findViewById(R.id.ChkBluetooth);
	
		if(Integer.parseInt(conexiones[0]) == 1){	//Wifi
        	chkWifi.setChecked(true);
        }else{
        	chkWifi.setChecked(false);	//No Wifi
        }
		
		if(Integer.parseInt(conexiones[1]) == 1){	//3G
        	chkRedMovil.setChecked(true);
        }else{
        	chkRedMovil.setChecked(false);	//No 3G
        }
		
		if(Integer.parseInt(conexiones[2]) == 1){	//Bluetooth
        	chkBluetooth.setChecked(true);
        }else{
        	chkBluetooth.setChecked(false);	//No Bluetooth
        }
        
		//Botn Guardar
        
        btnGuardarConexionesInalambricas = (Button)findViewById(R.id.BtnGuardarConexionesInalambricas);
        
        btnGuardarConexionesInalambricas.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0)
            {
            	guardarConexionesInalambricas(arg0);
            }
        });
    }
    
    public void guardarConexionesInalambricas(View v){
    	
    	perfil = new Perfil();
    	perfil.loadPerfil(ConexionesInalambricasActivity.this,idPerfil);
    	
    	if(chkWifi.isChecked()){
    		perfil.setWifi(1);
    	}else{
    		perfil.setWifi(0);
    	}
    	
    	if(chkRedMovil.isChecked()){
    		perfil.setTresG(1);
    	}else{
    		perfil.setTresG(0);
    	}
    	
    	if(chkBluetooth.isChecked()){
    		perfil.setBluetooth(1);
    	}else{
    		perfil.setBluetooth(0);
    	}
    	
    	finish();
    	
    	perfil.updatePerfilConexionesInalambricas(this);
    }
}