package geo.profile.view;

import geo.profile.Perfil;
import geo.profile.R;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class CrearPerfilActivity extends Activity {
	TextView textViewNombrePerfil;
	String nombre;
	ListView listaCrearPerfil;
	
	final String[] datos =
		    new String[]{"Configurar segn la hora", "Configurar segn la localizacin", "Sonido", 
		    		"Conexiones inalmbricas", "Modo avin", "Contestador", "Mensajera instantnea"};
	Integer idPerfil;
	public  Perfil perfil;
		 
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.crearperfil);
        
        //Obtenemos el id (extra en el intent)
        Bundle bun = this.getIntent().getExtras();
        idPerfil = bun.getInt("id");
        nombre = bun.getString("nombre");
        
        perfil = new Perfil();
		perfil.loadPerfil(CrearPerfilActivity.this, idPerfil);
		
        //Nombre del perfil
        
		textViewNombrePerfil = (TextView)findViewById(R.id.TextViewNombrePerfil);
       	textViewNombrePerfil.setText(nombre);
       	
        //Lista de crear perfil
        
        ArrayAdapter<String> adaptador =
    		    new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1, datos);
        
        listaCrearPerfil = (ListView)findViewById(R.id.ListaCrearPerfil);
    		 
        listaCrearPerfil.setAdapter(adaptador);
    		
    	listaCrearPerfil.setOnItemClickListener(new OnItemClickListener() {
		    public void onItemClick(AdapterView<?> a, View v, int position, long id) {
		    	
		    	if(position == 0){	//Configurar segn la hora
		    	
			    	Intent intent = new Intent(CrearPerfilActivity.this, ConfigurarPorHoraActivity.class);
					intent.putExtra("id", idPerfil);
					startActivity(intent);
				
		    	}else if(position == 1){	//Configurar segn la localizacin
					
		    		Intent intent = new Intent(CrearPerfilActivity.this, ConfigurarPorLocalizacionActivity.class);
		    		intent.putExtra("id", idPerfil);					
					startActivity(intent);
					
		    	}else if(position == 2){	//Sonido
					
		    		Intent intent = new Intent(CrearPerfilActivity.this, SonidoActivity.class);
		    		intent.putExtra("id", idPerfil);
					startActivity(intent);
					
		    	}else if(position == 3){	//Conexiones inalmbricas
					
		    		Intent intent = new Intent(CrearPerfilActivity.this, ConexionesInalambricasActivity.class);
		    		intent.putExtra("id", idPerfil);
					startActivity(intent);
					
		    	}else if(position == 4){	//Modo avin
					
		    		Intent intent = new Intent(CrearPerfilActivity.this, ModoAvionActivity.class);
		    		intent.putExtra("id", idPerfil);
					startActivity(intent);
					
		    	}else if(position == 5){	//Contestador
					
		    		Intent intent = new Intent(CrearPerfilActivity.this, ContestadorActivity.class);
		    		intent.putExtra("id", idPerfil);
					startActivity(intent);
					
		    	}else if(position == 6){	//Mensajera instantnea
					
		    		Intent intent = new Intent(CrearPerfilActivity.this, MensajeriaInstantaneaActivity.class);
		    		intent.putExtra("id", idPerfil);
					startActivity(intent);
	
		    	}
		    }
    	});
		
	}
}